package info.textgrid.middleware;

import info.textgrid.middleware.oaipmh.HeaderType;
import info.textgrid.middleware.oaipmh.ListRecordsType;
import info.textgrid.middleware.oaipmh.RecordType;

public interface RecordListDelivererInterface {
	
	 public RecordType buildRecord(ListRecordsType recordList, String set, String headerIdentifier);
	 public ListRecordsType getRecords(String from, String to, String set, String resumptionToken);
	 public HeaderType setHeader(String set, String headerIdentifier);

}
